Page 1 of 1

mayan_app_1 crashing on startup

Posted: Sat Jan 01, 2022 11:17 pm
by edms_h1
Hello,

I am running into an issue when using docker compose to run Mayan EDMS. Im am on a Windows 10 System and I'm using Docker Desktop with a WSL2 engine.

I have followed the installation instructions https://docs.mayan-edms.com/chapters/do ... mpose.html

The contianers for mayan_redis_1 and mayan_postgres_1 have started as expected, however the mayan_app_1 container keeps crashing with the following error message in the container logs:

mayan: starting entrypoint.sh
Connection attempt #1 to: port postgresql:5432; Connected.
Connection attempt #1 to: port redis:6379; Connected.
mayan: update_uid_gid()
usermod: no changes
mayan: os_package_installs()
mayan: pip_installs()
mayan: initialsetup()
Error loading setting environment value: DATABASES; while parsing a flow mapping
in "<unicode string>", line 1, column 1
did not find expected ',' or '}'
in "<unicode string>", line 2, column 1

I am using the image mayanedms/mayanedms:s4.1

I didn't find this issue posted here and haven't been lucky in finding anything similar via google. Any help is appreciated!

Re: mayan_app_1 crashing on startup

Posted: Fri Jan 07, 2022 10:03 am
by spikeworld
I have the exact same problem.
Please tell me if more info is needed. I will try to provide it.
Any help is very welcome!

Re: mayan_app_1 crashing on startup

Posted: Mon Jan 10, 2022 6:50 pm
by spikeworld
I got it running again!

I just downgraded docker and docker-compose to the following versions:
docker 20.10.7
docker-compose 2.1.0

Don't know if it was needed to downgrade both or just one of them but I don't care since it works...
I downgraded from docker 20.10.12 and docker-compose 2.2.3

Hope this helps!

Re: mayan_app_1 crashing on startup

Posted: Mon Jan 10, 2022 8:46 pm
by StarfleetCommander
Same issue here, downgrading docker-compose is enough. docker itself must not be downgraded, at least on my system.

Re: mayan_app_1 crashing on startup

Posted: Wed Jan 12, 2022 10:50 pm
by edms_h1
Thanks for the advice!

I can confirm that downgrading Docker Desktop helped me as well to get everything working.

I went from Docker Desktop version 4.3.2 to 4.2.0
which means that I downgraded to Docker Engine v20.10.10 and Docker Compose v2.1.1